Magento Forum

Page 1 of 2
1.1 beta and release dates
 
Nicolas CHARLOT
Jr. Member
 
Total Posts:  2
Joined:  2008-07-02
 

Hi,

We’ve started and have to release it in september.

Is it a good idea to code it on alpha?

What’s the beta et release dates ?

Thanks

 
Magento Community Magento Community
Magento Community
Magento Community
 
crius
Guru
 
Avatar
Total Posts:  623
Joined:  2007-10-16
Denmark
 

Do not launch a shop with 1.1 alpha. Wait for the stable release in mid to late July. Otherwise use 1.0.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Nicolas CHARLOT
Jr. Member
 
Total Posts:  2
Joined:  2008-07-02
 

1.1 in July since we’ve just a first alpha ?

Are U sure ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
crius
Guru
 
Avatar
Total Posts:  623
Joined:  2007-10-16
Denmark
 

Magento 1.1 stable release is scheduled for mid to late July

http://www.magentocommerce.com/blog/comments/new-version-of-11-public-alpha-available-via-svn/

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

It’s not that surprising ... they’re building off of 1.0 - all the building blocks are stable, they’re just adding in additional functionality.  You can try to build in the Alpha version and then upgrade when it’s ready - but not all of the new product functionality was working in the last Alpha (I haven’t downloaded the latest).  The best thing would be to design in 1.0 and then upgrade to 1.1 when it’s stable.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Business Feet
Sr. Member
 
Total Posts:  82
Joined:  2008-05-24
 

Any news on when 1.1 stable will be released.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Michae1
Enthusiast
 
Total Posts:  826
Joined:  2007-08-31
 
Phemy - 11 July 2008 12:34 AM

it is released, you can download it.

1.1 stable is NOT released yet

I don’t recommend to upgrade to 1.1 beta via Magento Connect until the official announcement later today, as we are preparing beta packages and upgrade instructions at the moment, thus you might not be able to upgrade properly.

Though if you are playing in testing environment and backuped everything first - we are open to your feedback on upgrade issues.

Thank you,
Michael.

 
Magento Community Magento Community
Magento Community
Magento Community
 
BoostMyShop
Sr. Member
 
Avatar
Total Posts:  155
Joined:  2008-06-11
France
 

i’m working this the 1.1 (updated from the first of july): it works very well !
i just have a issue with advanced search: setting price range or selecting a manufacturer returns 0 products :(

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 
Michael - 11 July 2008 12:43 AM

Phemy - 11 July 2008 12:34 AM
it is released, you can download it.

1.1 stable is NOT released yet

I don’t recommend to upgrade to 1.1 beta via Magento Connect until the official announcement later today, as we are preparing beta packages and upgrade instructions at the moment, thus you might not be able to upgrade properly.

Though if you are playing in testing environment and backuped everything first - we are open to your feedback on upgrade issues.

Thank you,
Michael.

I decided to attempt an upgrade on a test site - it said almost all packages were available for upgrade, so I told it to do all that were available.  The first time it said it updated only Mage Downloader and Google Checkout.  The second (and third) time it gave me the following error:

magento-core/interface_frontend_default_modern requires package "magento-core/Mage_Core_Modules" (version >= 1.0.19700version <= 1.1excluded versions1.1), downloaded version is 1.1.0
magento
-core/Mage_Core_Modules cannot be installedconflicts with installed packages
magento
-core/Interface_Frontend_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.1.0version <= 1.2excluded versions1.2), installed version is 1.0.19870.4
magento
-core/Interface_Install_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.1.0version <= 1.2excluded versions1.2), installed version is 1.0.19870.4
magento
-core/mage_core_modules requires package "magento-core/Lib_Js_Mage" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/Lib_Js_Mage cannot be installedconflicts with installed packages
magento
-core/lib_js_mage requires package "magento-core/Lib_Js_Prototype" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/mage_core_modules requires package "magento-core/Lib_Js_Prototype" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/Lib_Js_Prototype cannot be installedconflicts with installed packages
magento
-core/mage_core_modules requires package "magento-core/Lib_Varien" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/Lib_Varien cannot be installedconflicts with installed packages
magento
-core/lib_varien requires package "magento-core/Lib_ZF" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/Lib_ZF cannot be installedconflicts with installed packages
magento
-core/lib_zf requires package "magento-core/Lib_ZF_Locale" (version >= 1.0.19700version <= 1.0.19700), downloaded version is 1.1.0
magento
-core/Lib_ZF_Locale cannot be installedconflicts with installed packages
magento
-core/Mage_All_Latest requires package "magento-core/Mage_Core_Modules" (version >= 1.1.0version <= 1.2excluded versions1.2), installed version is 1.0.19870.4
magento
-core/Mage_All_Latest requires package "magento-core/Interface_Frontend_Default" (version >= 1.1.0version <= 1.2excluded versions1.2), installed version is 1.0.19870.1
magento
-core/Mage_All_Latest requires package "magento-core/Interface_Install_Default" (version >= 1.1.0version <= 1.2excluded versions1.2), installed version is 1.0.19870.2
magento
-core/mage_all_latest requires package "magento-core/Interface_Adminhtml_Default" (version >= 1.0.19870.2version <= 1.1excluded versions1.1), downloaded version is 1.1.0
magento
-core/Interface_Adminhtml_Default cannot be installedconflicts with installed packages
magento
-core/interface_adminhtml_default requires package "magento-core/Mage_Core_Adminhtml" (version >= 1.0.19870.2version <= 1.1excluded versions1.1), downloaded version is 1.1.0
magento
-core/mage_all_latest requires package "magento-core/Mage_Core_Adminhtml" (version >= 1.0.19870.2version <= 1.1excluded versions1.1), downloaded version is 1.1.0
magento
-core/Mage_Core_Adminhtml cannot be installedconflicts with installed packages
Install Errors
No valid packages found
PEAR ERROR
upgrade failed

Just thought I’d share. smile

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

As an update on this I now have all but Interface_Frontend_Default_Modern, Lib_Js_Calendar, and Lib_Js_Ext upgraded to 1.1 ... however there is apparently a theme incompatibility because the front loads the page and indicates in the footer that it is 1.1 but now gives me this error

Fatal errorCall to undefined method Mage_Catalog_Helper_Product::getPriceHtml() in /home/.maia/artziede/sherrierohde.com/magento/app/design/frontend/default/modern/template/catalog/product/list.phtml on line 101
 
Magento Community Magento Community
Magento Community
Magento Community
 
Appmerce
Guru
 
Avatar
Total Posts:  376
Joined:  2008-05-13
Amsterdam, The Netherlands
 
sherrie - 11 July 2008 06:58 AM

As an update on this I now have all but Interface_Frontend_Default_Modern, Lib_Js_Calendar, and Lib_Js_Ext upgraded to 1.1 ... however there is apparently a theme incompatibility because the front loads the page and indicates in the footer that it is 1.1 but now gives me this error

Fatal errorCall to undefined method Mage_Catalog_Helper_Product::getPriceHtml() in /home/.maia/artziede/sherrierohde.com/magento/app/design/frontend/default/modern/template/catalog/product/list.phtml on line 101

Hi there,

yes 1.0 themes appear to be incompatible with 1.1, I believe due to loads of extra javascript & other function added to the template layout xml files. At least, that’s what I stumbled upon.

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

What I’ve found in some of the other posts is that the commands to call key functions like the price have just changed alltogether - I really hope this isn’t the case as editing custom templates to fix it will be nightmarish.  But, it happens.  Hopefully there will at least be a list of what has changed so I can be sure I’ve caught everything.  But this is also Beta, so I’m not going to make changes yet anyway.

 
Magento Community Magento Community
Magento Community
Magento Community
 
BoostMyShop
Sr. Member
 
Avatar
Total Posts:  155
Joined:  2008-06-11
France
 

reviews function also changed…
great version however wink

 
Magento Community Magento Community
Magento Community
Magento Community
 
kusi7
Jr. Member
 
Total Posts:  6
Joined:  2007-12-11
 

any idea when the stable version of 1.1 is coming out?
hopefully before 1st august.

 
Magento Community Magento Community
Magento Community
Magento Community
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

My Magento Connect lists the 1.1 Stable version is available for install.........................is this true?  I have not seen an announcement?  or is this still the beta version?

- roco

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

Still beta.  I’m sure they’ll make a big annoucnement when it’s stable.  The only thing that’s stable right now is the downloader.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 1 of 2